kind: ""
apiVersion: ""
metadata: 
 name: ""
 generateName: ""
 namespace: ""
 selfLink: ""
 uid: ""
 resourceVersion: ""
 generation: 0
 creationTimestamp: null
 deletionTimestamp: null
 deletionGracePeriodSeconds: 0
 labels: 
  " ": " "
 annotations: 
  " ": " "
 ownerReferences: 
  - 
   apiVersion: ""
   kind: ""
   name: ""
   uid: ""
   controller: false
   blockOwnerDeletion: false
 initializers: 
  pending: 
   - 
   name: ""
  result: 
   kind: ""
   apiVersion: ""
   metadata: 
    selfLink: ""
    resourceVersion: ""
    continue: ""
   status: ""
   message: ""
   reason: ""
   details: 
    name: ""
    group: ""
    kind: ""
    uid: ""
    causes: 
     - 
   reason: ""
      message: ""
      field: ""
    retryAfterSeconds: 0
   code: 0
 finalizers: 
  - 
   ""
 clusterName: ""
spec: 
 replicas: 0
 minReadySeconds: 0
 selector: 
  matchLabels: 
  matchExpressions: 
   - 
   key: ""
    operator: ""
    values: 
     - 
   ""
 template: 
  metadata: 
   name: ""
   generateName: ""
   namespace: ""
   selfLink: ""
   uid: ""
   resourceVersion: ""
   generation: 0
   creationTimestamp: null
   deletionTimestamp: null
   deletionGracePeriodSeconds: 0
   labels: 
    " ": " "
   annotations: 
    " ": " "
   ownerReferences: 
    - 
   apiVersion: ""
     kind: ""
     name: ""
     uid: ""
     controller: false
     blockOwnerDeletion: false
   initializers: 
    pending: 
     - 
   name: ""
    result: 
     kind: ""
     apiVersion: ""
     metadata: 
      selfLink: ""
      resourceVersion: ""
      continue: ""
     status: ""
     message: ""
     reason: ""
     details: 
      name: ""
      group: ""
      kind: ""
      uid: ""
      causes: 
       - 
   reason: ""
        message: ""
        field: ""
      retryAfterSeconds: 0
     code: 0
   finalizers: 
    - 
   ""
   clusterName: ""
  spec: 
   volumes: 
    - 
   name: ""
     hostPath: 
      path: ""
      type: " "
     emptyDir: 
      medium: ""
      sizeLimit: 0
     gcePersistentDisk: 
      pdName: ""
      fsType: ""
      partition: 0
      readOnly: false
     awsElasticBlockStore: 
      volumeID: ""
      fsType: ""
      partition: 0
      readOnly: false
     gitRepo: 
      repository: ""
      revision: ""
      directory: ""
     secret: 
      secretName: ""
      items: 
       - 
   key: ""
        path: ""
        mode: 0
      defaultMode: 0
      optional: false
     nfs: 
      server: ""
      path: ""
      readOnly: false
     iscsi: 
      targetPortal: ""
      iqn: ""
      lun: 0
      iscsiInterface: ""
      fsType: ""
      readOnly: false
      portals: 
       - 
   ""
      chapAuthDiscovery: false
      chapAuthSession: false
      secretRef: 
       name: ""
      initiatorName: " "
     glusterfs: 
      endpoints: ""
      path: ""
      readOnly: false
     persistentVolumeClaim: 
      claimName: ""
      readOnly: false
     rbd: 
      monitors: 
       - 
   ""
      image: ""
      fsType: ""
      pool: ""
      user: ""
      keyring: ""
      secretRef: 
       name: ""
      readOnly: false
     flexVolume: 
      driver: ""
      fsType: ""
      secretRef: 
       name: ""
      readOnly: false
      options: 
     cinder: 
      volumeID: ""
      fsType: ""
      readOnly: false
     cephfs: 
      monitors: 
       - 
   ""
      path: ""
      user: ""
      secretFile: ""
      secretRef: 
       name: ""
      readOnly: false
     flocker: 
      datasetName: ""
      datasetUUID: ""
     downwardAPI: 
      items: 
       - 
   path: ""
        fieldRef: 
         apiVersion: ""
         fieldPath: ""
        resourceFieldRef: 
         containerName: ""
         resource: ""
         divisor: 0
        mode: 0
      defaultMode: 0
     fc: 
      targetWWNs: 
       - 
   ""
      lun: 0
      fsType: ""
      readOnly: false
      wwids: 
       - 
   ""
     azureFile: 
      secretName: ""
      shareName: ""
      readOnly: false
     configMap: 
      name: ""
      items: 
       - 
   key: ""
        path: ""
        mode: 0
      defaultMode: 0
      optional: false
     vsphereVolume: 
      volumePath: ""
      fsType: ""
      storagePolicyName: ""
      storagePolicyID: ""
     quobyte: 
      registry: ""
      volume: ""
      readOnly: false
      user: ""
      group: ""
     azureDisk: 
      diskName: ""
      diskURI: ""
      cachingMode: " "
      fsType: " "
      readOnly: false
      kind: " "
     photonPersistentDisk: 
      pdID: ""
      fsType: ""
     projected: 
      sources: 
       - 
   secret: 
         name: ""
         items: 
          - 
   key: ""
           path: ""
           mode: 0
         optional: false
        downwardAPI: 
         items: 
          - 
   path: ""
           fieldRef: 
            apiVersion: ""
            fieldPath: ""
           resourceFieldRef: 
            containerName: ""
            resource: ""
            divisor: 0
           mode: 0
        configMap: 
         name: ""
         items: 
          - 
   key: ""
           path: ""
           mode: 0
         optional: false
      defaultMode: 0
     portworxVolume: 
      volumeID: ""
      fsType: ""
      readOnly: false
     scaleIO: 
      gateway: ""
      system: ""
      secretRef: 
       name: ""
      sslEnabled: false
      protectionDomain: ""
      storagePool: ""
      storageMode: ""
      volumeName: ""
      fsType: ""
      readOnly: false
     storageos: 
      volumeName: ""
      volumeNamespace: ""
      fsType: ""
      readOnly: false
      secretRef: 
       name: ""
   initContainers: 
    - 
   name: ""
     image: ""
     command: 
      - 
   ""
     args: 
      - 
   ""
     workingDir: ""
     ports: 
      - 
   name: ""
       hostPort: 0
       containerPort: 0
       protocol: ""
       hostIP: ""
     envFrom: 
      - 
   prefix: ""
       configMapRef: 
        name: ""
        optional: false
       secretRef: 
        name: ""
        optional: false
     env: 
      - 
   name: ""
       value: ""
       valueFrom: 
        fieldRef: 
         apiVersion: ""
         fieldPath: ""
        resourceFieldRef: 
         containerName: ""
         resource: ""
         divisor: 0
        configMapKeyRef: 
         name: ""
         key: ""
         optional: false
        secretKeyRef: 
         name: ""
         key: ""
         optional: false
     resources: 
      limits: 
       " ": 0
      requests: 
       " ": 0
     volumeMounts: 
      - 
   name: ""
       readOnly: false
       mountPath: ""
       subPath: ""
       mountPropagation: " "
     livenessProbe: 
      exec: 
       command: 
        - 
   ""
      httpGet: 
       path: ""
       port: 0
       host: ""
       scheme: ""
       httpHeaders: 
        - 
   name: ""
         value: ""
      tcpSocket: 
       port: 0
       host: ""
      initialDelaySeconds: 0
      timeoutSeconds: 0
      periodSeconds: 0
      successThreshold: 0
      failureThreshold: 0
     readinessProbe: 
      exec: 
       command: 
        - 
   ""
      httpGet: 
       path: ""
       port: 0
       host: ""
       scheme: ""
       httpHeaders: 
        - 
   name: ""
         value: ""
      tcpSocket: 
       port: 0
       host: ""
      initialDelaySeconds: 0
      timeoutSeconds: 0
      periodSeconds: 0
      successThreshold: 0
      failureThreshold: 0
     lifecycle: 
      postStart: 
       exec: 
        command: 
         - 
   ""
       httpGet: 
        path: ""
        port: 0
        host: ""
        scheme: ""
        httpHeaders: 
         - 
   name: ""
          value: ""
       tcpSocket: 
        port: 0
        host: ""
      preStop: 
       exec: 
        command: 
         - 
   ""
       httpGet: 
        path: ""
        port: 0
        host: ""
        scheme: ""
        httpHeaders: 
         - 
   name: ""
          value: ""
       tcpSocket: 
        port: 0
        host: ""
     terminationMessagePath: ""
     terminationMessagePolicy: ""
     imagePullPolicy: ""
     securityContext: 
      capabilities: 
       add: 
        - 
   ""
       drop: 
        - 
   ""
      privileged: false
      seLinuxOptions: 
       user: ""
       role: ""
       type: ""
       level: ""
      runAsUser: 0
      runAsNonRoot: false
      readOnlyRootFilesystem: false
      allowPrivilegeEscalation: false
     stdin: false
     stdinOnce: false
     tty: false
   containers: 
    - 
   name: ""
     image: ""
     command: 
      - 
   ""
     args: 
      - 
   ""
     workingDir: ""
     ports: 
      - 
   name: ""
       hostPort: 0
       containerPort: 0
       protocol: ""
       hostIP: ""
     envFrom: 
      - 
   prefix: ""
       configMapRef: 
        name: ""
        optional: false
       secretRef: 
        name: ""
        optional: false
     env: 
      - 
   name: ""
       value: ""
       valueFrom: 
        fieldRef: 
         apiVersion: ""
         fieldPath: ""
        resourceFieldRef: 
         containerName: ""
         resource: ""
         divisor: 0
        configMapKeyRef: 
         name: ""
         key: ""
         optional: false
        secretKeyRef: 
         name: ""
         key: ""
         optional: false
     resources: 
      limits: 
       " ": 0
      requests: 
       " ": 0
     volumeMounts: 
      - 
   name: ""
       readOnly: false
       mountPath: ""
       subPath: ""
       mountPropagation: " "
     livenessProbe: 
      exec: 
       command: 
        - 
   ""
      httpGet: 
       path: ""
       port: 0
       host: ""
       scheme: ""
       httpHeaders: 
        - 
   name: ""
         value: ""
      tcpSocket: 
       port: 0
       host: ""
      initialDelaySeconds: 0
      timeoutSeconds: 0
      periodSeconds: 0
      successThreshold: 0
      failureThreshold: 0
     readinessProbe: 
      exec: 
       command: 
        - 
   ""
      httpGet: 
       path: ""
       port: 0
       host: ""
       scheme: ""
       httpHeaders: 
        - 
   name: ""
         value: ""
      tcpSocket: 
       port: 0
       host: ""
      initialDelaySeconds: 0
      timeoutSeconds: 0
      periodSeconds: 0
      successThreshold: 0
      failureThreshold: 0
     lifecycle: 
      postStart: 
       exec: 
        command: 
         - 
   ""
       httpGet: 
        path: ""
        port: 0
        host: ""
        scheme: ""
        httpHeaders: 
         - 
   name: ""
          value: ""
       tcpSocket: 
        port: 0
        host: ""
      preStop: 
       exec: 
        command: 
         - 
   ""
       httpGet: 
        path: ""
        port: 0
        host: ""
        scheme: ""
        httpHeaders: 
         - 
   name: ""
          value: ""
       tcpSocket: 
        port: 0
        host: ""
     terminationMessagePath: ""
     terminationMessagePolicy: ""
     imagePullPolicy: ""
     securityContext: 
      capabilities: 
       add: 
        - 
   ""
       drop: 
        - 
   ""
      privileged: false
      seLinuxOptions: 
       user: ""
       role: ""
       type: ""
       level: ""
      runAsUser: 0
      runAsNonRoot: false
      readOnlyRootFilesystem: false
      allowPrivilegeEscalation: false
     stdin: false
     stdinOnce: false
     tty: false
   restartPolicy: ""
   terminationGracePeriodSeconds: 0
   activeDeadlineSeconds: 0
   dnsPolicy: ""
   nodeSelector: 
    " ": " "
   serviceAccountName: ""
   serviceAccount: ""
   automountServiceAccountToken: false
   nodeName: ""
   hostNetwork: false
   hostPID: false
   hostIPC: false
   securityContext: 
    seLinuxOptions: 
     user: ""
     role: ""
     type: ""
     level: ""
    runAsUser: 0
    runAsNonRoot: false
    supplementalGroups: 
     - 
   0
    fsGroup: 0
   imagePullSecrets: 
    - 
   name: ""
   hostname: ""
   subdomain: ""
   affinity: 
    nodeAffinity: 
     requiredDuringSchedulingIgnoredDuringExecution: 
      nodeSelectorTerms: 
       - 
   matchExpressions: 
         - 
   key: ""
          operator: ""
          values: 
           - 
   ""
     preferredDuringSchedulingIgnoredDuringExecution: 
      - 
   weight: 0
       preference: 
        matchExpressions: 
         - 
   key: ""
          operator: ""
          values: 
           - 
   ""
    podAffinity: 
     requiredDuringSchedulingIgnoredDuringExecution: 
      - 
   labelSelector: 
        matchLabels: 
        matchExpressions: 
         - 
   key: ""
          operator: ""
          values: 
           - 
   ""
       namespaces: 
        - 
   ""
       topologyKey: ""
     preferredDuringSchedulingIgnoredDuringExecution: 
      - 
   weight: 0
       podAffinityTerm: 
        labelSelector: 
         matchLabels: 
         matchExpressions: 
          - 
   key: ""
           operator: ""
           values: 
            - 
   ""
        namespaces: 
         - 
   ""
        topologyKey: ""
    podAntiAffinity: 
     requiredDuringSchedulingIgnoredDuringExecution: 
      - 
   labelSelector: 
        matchLabels: 
        matchExpressions: 
         - 
   key: ""
          operator: ""
          values: 
           - 
   ""
       namespaces: 
        - 
   ""
       topologyKey: ""
     preferredDuringSchedulingIgnoredDuringExecution: 
      - 
   weight: 0
       podAffinityTerm: 
        labelSelector: 
         matchLabels: 
         matchExpressions: 
          - 
   key: ""
           operator: ""
           values: 
            - 
   ""
        namespaces: 
         - 
   ""
        topologyKey: ""
   schedulerName: ""
   tolerations: 
    - 
   key: ""
     operator: ""
     value: ""
     effect: ""
     tolerationSeconds: 0
   hostAliases: 
    - 
   ip: ""
     hostnames: 
      - 
   ""
   priorityClassName: ""
   priority: 0
status: 
 replicas: 0
 fullyLabeledReplicas: 0
 readyReplicas: 0
 availableReplicas: 0
 observedGeneration: 0
 conditions: 
  - 
   type: ""
   status: ""
   lastTransitionTime: null
   reason: ""
   message: ""